package com.rnsocial.pay.model;

import com.facebook.react.bridge.WritableMap;
import com.facebook.react.bridge.WritableNativeMap;

/**
 * User : yehao
 * Date : 16/3/22
 * Email : yh@terminus.io
 */
public class PayResult {
    public String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    public String getError() {
        return error;
    }

    public void setError(String error) {
        this.error = error;
    }
    public void setSuccess(boolean suc){
        this.success = suc;
    }
    public boolean isSuccess(){
        return success;
    }

    public PayResult(){}

    public PayResult(boolean success,String errorCode,String errorMsg){
        this.success = success;
        this.error = errorCode;
        this.errorMessage = errorMsg;
    }

    private String error;
    private String errorMessage;
    private boolean success;

    public WritableMap toWritableMap(){
        WritableMap result = new WritableNativeMap();
        result.putString("error",error);
        result.putString("errorMessage",errorMessage);
        result.putBoolean("success",success);
        return result;
    }
}
