#import <Foundation/Foundation.h>
#import "WXApi.h"

@protocol WXApiManagerDelegate <NSObject>

@optional
- (void)WXApiManagerDidRecvPay:(PayResp *)resp;
- (void)WXApiManagerDidRecvLogin:(SendAuthResp *)resp;
- (void)WXmanagerDidRecvMessageResponse:(SendMessageToWXResp *)resp;
@end

@interface RNWXApiManager : NSObject<WXApiDelegate>

@property (nonatomic, assign) id<WXApiManagerDelegate> delegate;

+ (instancetype)sharedManager;

@end
